<!DOCTYPE html>
<html lang="en">
<head>
    <link rel="stylesheet" href="stylesheets/base.css">

    <link rel="preload" href="stylesheets/green.css" as="style">
    <link rel="preload" href="stylesheets/blue.css" as="style">

    <link id="custom-style-sheet" rel="stylesheet" href="stylesheets/red.css">
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Router Home Page</title>

    <script>
        function change_css(cssFile)
        {

            if (cssFile == "null.css" ) { cssFile = "red.css" ; }

            const stylesheetLink = document.getElementById("custom-style-sheet");
            stylesheetLink.setAttribute("href", `stylesheets/${cssFile}`);
        }

        // Gets the style parameter from the query string and appends ".css" to it
        const queryStrings = new URLSearchParams(location.search);
        const cssToLoad = queryStrings.get("style") + ".css";

    </script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.9.1/chart.min.js" integrity="sha512-ElRFoEQdI5Ht6kZvyzXhYG9NqjtkmlkfYk0wr6wHxU9JEHakS7UJZNeml5ALk+8IKlU6jDgMabC3vkumRokgJA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

</head>
<body>
    <script>change_css(cssToLoad)</script>
    <nav class="scheme" id="nav-grid">
        <ul>
            <li id="logo"><img src="images/placeholder_logo.png" width="100%"></li>
            <li></li>
            <li class="active"><a href="#">Overview</a></li>
            <li><a href="#">Wi-Fi</a></li>
            <li><a href="#">Network</a></li>
            <li><a href="#">Firewall</a></li>
        </ul>
    </nav>

    <div id="status">
        <div id="internet-status">
            <img src="images/internet.png">
            <p>Internet: Up</p>
        </div>
        <div id="wifi-status">
            <img src="images/wifi.png">
            <p>Wifi: Enabled</p>
        </div>
    </div>

    <h3>Devices on Network</h3>
    <div id="device-grid"></div>

    <div id="chart-grid">
        <div>
            <canvas id="cpuChart"></canvas>
        </div>

        <div>
            <canvas id="memoryChart"></canvas>
        </div>

        <div>
            <canvas id="throughputChart"></canvas>
        </div>
    </div>

    <script src="javascript/stats.js"></script>
    <script src="javascript/charts.js"></script>
</body>
</html>
